Index: squid/src/cachemgr.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/Attic/cachemgr.c,v
retrieving revision 1.1.1.3
retrieving revision 1.1.1.3.10.1
diff -u -r1.1.1.3 -r1.1.1.3.10.1
--- squid/src/cachemgr.c	26 Jan 2000 03:25:01 -0000	1.1.1.3
+++ squid/src/cachemgr.c	17 Apr 2000 00:13:09 -0000	1.1.1.3.10.1
@@ -1,6 +1,6 @@
 
 /*
- * $Id: cachemgr.c,v 1.1.1.3 2000/01/26 03:25:01 hno Exp $
+ * $Id: cachemgr.c,v 1.1.1.3.10.1 2000/04/17 00:13:09 hno Exp $
  *
  * DEBUG: section 0     CGI Cache Manager
  * AUTHOR: Duane Wessels
@@ -12,10 +12,10 @@
  *  Internet community.  Development is led by Duane Wessels of the
  *  National Laboratory for Applied Network Research and funded by the
  *  National Science Foundation.  Squid is Copyrighted (C) 1998 by
- *  Duane Wessels and the University of California San Diego.  Please
- *  see the COPYRIGHT file for full details.  Squid incorporates
- *  software developed and/or copyrighted by other sources.  Please see
- *  the CREDITS file for full details.
+ *  the Regents of the University of California.  Please see the
+ *  COPYRIGHT file for full details.  Squid incorporates software
+ *  developed and/or copyrighted by other sources.  Please see the
+ *  CREDITS file for full details.
  *
  *  This program is free software; you can redistribute it and/or modify
  *  it under the terms of the GNU General Public License as published by
Index: squid/src/carp.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/carp.c,v
retrieving revision 1.1.1.1
retrieving revision 1.1.1.1.14.1
diff -u -r1.1.1.1 -r1.1.1.1.14.1
--- squid/src/carp.c	26 Jan 2000 03:21:47 -0000	1.1.1.1
+++ squid/src/carp.c	17 Apr 2000 00:13:09 -0000	1.1.1.1.14.1
@@ -1,5 +1,5 @@
 /*
- * $Id: carp.c,v 1.1.1.1 2000/01/26 03:21:47 hno Exp $
+ * $Id: carp.c,v 1.1.1.1.14.1 2000/04/17 00:13:09 hno Exp $
  *
  * DEBUG: section 39    Cache Array Routing Protocol
  * AUTHOR: Eric Stern
@@ -11,10 +11,10 @@
  *  Internet community.  Development is led by Duane Wessels of the
  *  National Laboratory for Applied Network Research and funded by the
  *  National Science Foundation.  Squid is Copyrighted (C) 1998 by
- *  Duane Wessels and the University of California San Diego.  Please
- *  see the COPYRIGHT file for full details.  Squid incorporates
- *  software developed and/or copyrighted by other sources.  Please see
- *  the CREDITS file for full details.
+ *  the Regents of the University of California.  Please see the
+ *  COPYRIGHT file for full details.  Squid incorporates software
+ *  developed and/or copyrighted by other sources.  Please see the
+ *  CREDITS file for full details.
  *
  *  This program is free software; you can redistribute it and/or modify
  *  it under the terms of the GNU General Public License as published by
@@ -97,6 +97,10 @@
 	url_hash += (url_hash << 19) + *c;
     /* select peer */
     for (tp = Config.peers; tp; tp = tp->next) {
+	if (0.0 == tp->carp.load_factor)
+	    continue;
+	if (tp->tcp_up != PEER_TCP_MAGIC_COUNT)
+	    continue;
 	assert(tp->type == PEER_PARENT);
 	combined_hash = (url_hash ^ tp->carp.hash);
 	combined_hash += combined_hash * 0x62531965;
Index: squid/src/cbdata.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/cbdata.c,v
retrieving revision 1.1.1.2
retrieving revision 1.1.1.2.14.1
diff -u -r1.1.1.2 -r1.1.1.2.14.1
--- squid/src/cbdata.c	26 Jan 2000 03:23:10 -0000	1.1.1.2
+++ squid/src/cbdata.c	17 Apr 2000 00:13:09 -0000	1.1.1.2.14.1
@@ -1,6 +1,6 @@
 
 /*
- * $Id: cbdata.c,v 1.1.1.2 2000/01/26 03:23:10 hno Exp $
+ * $Id: cbdata.c,v 1.1.1.2.14.1 2000/04/17 00:13:09 hno Exp $
  *
  * DEBUG: section 45    Callback Data Registry
  * AUTHOR: Duane Wessels
@@ -12,10 +12,10 @@
  *  Internet community.  Development is led by Duane Wessels of the
  *  National Laboratory for Applied Network Research and funded by the
  *  National Science Foundation.  Squid is Copyrighted (C) 1998 by
- *  Duane Wessels and the University of California San Diego.  Please
- *  see the COPYRIGHT file for full details.  Squid incorporates
- *  software developed and/or copyrighted by other sources.  Please see
- *  the CREDITS file for full details.
+ *  the Regents of the University of California.  Please see the
+ *  COPYRIGHT file for full details.  Squid incorporates software
+ *  developed and/or copyrighted by other sources.  Please see the
+ *  CREDITS file for full details.
  *
  *  This program is free software; you can redistribute it and/or modify
  *  it under the terms of the GNU General Public License as published by
@@ -167,7 +167,11 @@
 }
 
 void
+#if CBDATA_DEBUG
+cbdataLockDbg(const void *p, const char *file, int line)
+#else
 cbdataLock(const void *p)
+#endif
 {
     cbdata *c;
     if (p == NULL)
@@ -176,10 +180,18 @@
     debug(45, 3) ("cbdataLock: %p\n", p);
     assert(c != NULL);
     c->locks++;
+#if CBDATA_DEBUG
+    c->file = file;
+    c->line = line;
+#endif
 }
 
 void
+#if CBDATA_DEBUG
+cbdataUnlockDbg(const void *p, const char *file, int line)
+#else
 cbdataUnlock(const void *p)
+#endif
 {
     cbdata *c;
     if (p == NULL)
@@ -189,6 +201,10 @@
     assert(c != NULL);
     assert(c->locks > 0);
     c->locks--;
+#if CBDATA_DEBUG
+    c->file = file;
+    c->line = line;
+#endif
     if (c->valid || c->locks)
 	return;
     cbdataReallyFree(c);
Index: squid/src/cf.data.pre
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/cf.data.pre,v
retrieving revision 1.1.1.3.4.1.2.3
retrieving revision 1.1.1.3.4.1.2.4
diff -u -r1.1.1.3.4.1.2.3 -r1.1.1.3.4.1.2.4
--- squid/src/cf.data.pre	15 Apr 2000 00:45:02 -0000	1.1.1.3.4.1.2.3
+++ squid/src/cf.data.pre	17 Apr 2000 00:13:09 -0000	1.1.1.3.4.1.2.4
@@ -1,6 +1,6 @@
 
 #
-# $Id: cf.data.pre,v 1.1.1.3.4.1.2.3 2000/04/15 00:45:02 hno Exp $
+# $Id: cf.data.pre,v 1.1.1.3.4.1.2.4 2000/04/17 00:13:09 hno Exp $
 #
 #
 # SQUID Internet Object Cache  http://squid.nlanr.net/Squid/
@@ -10,10 +10,10 @@
 #  Internet community.  Development is led by Duane Wessels of the
 #  National Laboratory for Applied Network Research and funded by the
 #  National Science Foundation.  Squid is Copyrighted (C) 1998 by
-#  Duane Wessels and the University of California San Diego.  Please
-#  see the COPYRIGHT file for full details.  Squid incorporates
-#  software developed and/or copyrighted by other sources.  Please see
-#  the CREDITS file for full details.
+#  the Regents of the University of California.  Please see the
+#  COPYRIGHT file for full details.  Squid incorporates software
+#  developed and/or copyrighted by other sources.  Please see the
+#  CREDITS file for full details.
 #
 #  This program is free software; you can redistribute it and/or modify
 #  it under the terms of the GNU General Public License as published by
@@ -1189,7 +1189,7 @@
 	'Max' is an upper limit on how long objects without an explicit
 	expiry time will be considered fresh.
 
-	options: override-expire
+	options: overrsde-expire
 		 override-lastmod
 		 reload-into-ims
 		 ignore-reload
@@ -2317,14 +2317,14 @@
 
 NAME: store_objects_per_bucket
 TYPE: int
-DEFAULT: 50
+DEFAULT: 20
 LOC: Config.Store.objectsPerBucket
 DOC_START
 	Target number of objects per bucket in the store hash table.
 	Lowering this value increases the total number of buckets and
 	also the storage maintenance rate.  The default is 50.
 
-store_objects_per_bucket 50
+store_objects_per_bucket 20
 DOC_END
 
 NAME: client_db
@@ -3211,5 +3211,19 @@
 server_persistent_connections on
 DOC_END
 
+NAME: diskd_magic1
+IFDEF: USE_DISKD
+TYPE: int
+LOC: Config.diskd.magic1
+DEFAULT: 64
+DOC_NONE
+
+NAME: diskd_magic2
+IFDEF: USE_DISKD
+TYPE: int
+LOC: Config.diskd.magic2
+DEFAULT: 72
+DOC_NONE
+
 EOF
 
Index: squid/src/cf_gen.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/cf_gen.c,v
retrieving revision 1.1.1.3
retrieving revision 1.1.1.3.12.1
diff -u -r1.1.1.3 -r1.1.1.3.12.1
--- squid/src/cf_gen.c	26 Jan 2000 03:25:01 -0000	1.1.1.3
+++ squid/src/cf_gen.c	17 Apr 2000 00:13:09 -0000	1.1.1.3.12.1
@@ -1,5 +1,5 @@
 /*
- * $Id: cf_gen.c,v 1.1.1.3 2000/01/26 03:25:01 hno Exp $
+ * $Id: cf_gen.c,v 1.1.1.3.12.1 2000/04/17 00:13:09 hno Exp $
  *
  * DEBUG: none
  * AUTHOR: Max Okumoto
@@ -11,10 +11,10 @@
  *  Internet community.  Development is led by Duane Wessels of the
  *  National Laboratory for Applied Network Research and funded by the
  *  National Science Foundation.  Squid is Copyrighted (C) 1998 by
- *  Duane Wessels and the University of California San Diego.  Please
- *  see the COPYRIGHT file for full details.  Squid incorporates
- *  software developed and/or copyrighted by other sources.  Please see
- *  the CREDITS file for full details.
+ *  the Regents of the University of California.  Please see the
+ *  COPYRIGHT file for full details.  Squid incorporates software
+ *  developed and/or copyrighted by other sources.  Please see the
+ *  CREDITS file for full details.
  *
  *  This program is free software; you can redistribute it and/or modify
  *  it under the terms of the GNU General Public License as published by
Index: squid/src/client.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/Attic/client.c,v
retrieving revision 1.1.1.3
retrieving revision 1.1.1.3.10.1
diff -u -r1.1.1.3 -r1.1.1.3.10.1
--- squid/src/client.c	26 Jan 2000 03:25:01 -0000	1.1.1.3
+++ squid/src/client.c	17 Apr 2000 00:13:09 -0000	1.1.1.3.10.1
@@ -1,6 +1,6 @@
 
 /*
- * $Id: client.c,v 1.1.1.3 2000/01/26 03:25:01 hno Exp $
+ * $Id: client.c,v 1.1.1.3.10.1 2000/04/17 00:13:09 hno Exp $
  *
  * DEBUG: section 0     WWW Client
  * AUTHOR: Harvest Derived
@@ -12,10 +12,10 @@
  *  Internet community.  Development is led by Duane Wessels of the
  *  National Laboratory for Applied Network Research and funded by the
  *  National Science Foundation.  Squid is Copyrighted (C) 1998 by
- *  Duane Wessels and the University of California San Diego.  Please
- *  see the COPYRIGHT file for full details.  Squid incorporates
- *  software developed and/or copyrighted by other sources.  Please see
- *  the CREDITS file for full details.
+ *  the Regents of the University of California.  Please see the
+ *  COPYRIGHT file for full details.  Squid incorporates software
+ *  developed and/or copyrighted by other sources.  Please see the
+ *  CREDITS file for full details.
  *
  *  This program is free software; you can redistribute it and/or modify
  *  it under the terms of the GNU General Public License as published by
Index: squid/src/client_db.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/client_db.c,v
retrieving revision 1.1.1.3
retrieving revision 1.1.1.3.10.1
diff -u -r1.1.1.3 -r1.1.1.3.10.1
--- squid/src/client_db.c	26 Jan 2000 03:25:01 -0000	1.1.1.3
+++ squid/src/client_db.c	17 Apr 2000 00:13:09 -0000	1.1.1.3.10.1
@@ -1,6 +1,6 @@
 
 /*
- * $Id: client_db.c,v 1.1.1.3 2000/01/26 03:25:01 hno Exp $
+ * $Id: client_db.c,v 1.1.1.3.10.1 2000/04/17 00:13:09 hno Exp $
  *
  * DEBUG: section 0     Client Database
  * AUTHOR: Duane Wessels
@@ -12,10 +12,10 @@
  *  Internet community.  Development is led by Duane Wessels of the
  *  National Laboratory for Applied Network Research and funded by the
  *  National Science Foundation.  Squid is Copyrighted (C) 1998 by
- *  Duane Wessels and the University of California San Diego.  Please
- *  see the COPYRIGHT file for full details.  Squid incorporates
- *  software developed and/or copyrighted by other sources.  Please see
- *  the CREDITS file for full details.
+ *  the Regents of the University of California.  Please see the
+ *  COPYRIGHT file for full details.  Squid incorporates software
+ *  developed and/or copyrighted by other sources.  Please see the
+ *  CREDITS file for full details.
  *
  *  This program is free software; you can redistribute it and/or modify
  *  it under the terms of the GNU General Public License as published by
Index: squid/src/client_side.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/client_side.c,v
retrieving revision 1.1.1.3.4.1.2.7
retrieving revision 1.1.1.3.4.1.2.8
diff -u -r1.1.1.3.4.1.2.7 -r1.1.1.3.4.1.2.8
--- squid/src/client_side.c	15 Apr 2000 10:52:16 -0000	1.1.1.3.4.1.2.7
+++ squid/src/client_side.c	17 Apr 2000 00:13:09 -0000	1.1.1.3.4.1.2.8
@@ -1,6 +1,6 @@
 
 /*
- * $Id: client_side.c,v 1.1.1.3.4.1.2.7 2000/04/15 10:52:16 asd Exp $
+ * $Id: client_side.c,v 1.1.1.3.4.1.2.8 2000/04/17 00:13:09 hno Exp $
  *
  * DEBUG: section 33    Client-side Routines
  * AUTHOR: Duane Wessels
@@ -12,10 +12,10 @@
  *  Internet community.  Development is led by Duane Wessels of the
  *  National Laboratory for Applied Network Research and funded by the
  *  National Science Foundation.  Squid is Copyrighted (C) 1998 by
- *  Duane Wessels and the University of California San Diego.  Please
- *  see the COPYRIGHT file for full details.  Squid incorporates
- *  software developed and/or copyrighted by other sources.  Please see
- *  the CREDITS file for full details.
+ *  the Regents of the University of California.  Please see the
+ *  COPYRIGHT file for full details.  Squid incorporates software
+ *  developed and/or copyrighted by other sources.  Please see the
+ *  CREDITS file for full details.
  *
  *  This program is free software; you can redistribute it and/or modify
  *  it under the terms of the GNU General Public License as published by
@@ -142,7 +142,7 @@
     clientHttpRequest *http = data;
     ConnStateData *conn = http->conn;
     if (checkAccelOnly(http)) {
-	clientAccessCheckDone(0, http);
+	clientAccessCheckDone(ACCESS_ALLOWED, http);
 	return;
     }
     http->acl_checklist = aclChecklistCreate(Config.accessList.http,
@@ -294,6 +294,9 @@
 	http->request = requestLink(new_request);
     }
     clientInterpretRequestHeaders(http);
+#if HEADERS_LOG
+    headersLog(0, 1, request->method, request);
+#endif
     fd_note(http->conn->fd, http->uri);
     clientProcessRequest(http);
 }
@@ -531,8 +534,8 @@
     StoreEntry *entry;
     ErrorState *err = NULL;
     HttpReply *r;
-    debug(33, 3) ("Config.onoff.enable_purge = %d\n", Config.onoff.enable_purge);
-    if (!Config.onoff.enable_purge) {
+    debug(33, 1) ("Config2.onoff.enable_purge = %d\n", Config2.onoff.enable_purge);
+    if (!Config2.onoff.enable_purge) {
 	http->log_type = LOG_TCP_DENIED;
 	err = errorCon(ERR_ACCESS_DENIED, HTTP_FORBIDDEN);
 	err->request = requestLink(http->request);
@@ -582,6 +585,10 @@
     Counter.client_http.requests++;
     if (isTcpHit(http->log_type))
 	Counter.client_http.hits++;
+    if (http->log_type == LOG_TCP_HIT)
+	Counter.client_http.disk_hits++;
+    else if (http->log_type == LOG_TCP_MEM_HIT)
+	Counter.client_http.mem_hits++;
     if (http->request->err_type != ERR_NONE)
 	Counter.client_http.errors++;
     statHistCount(&Counter.client_http.all_svc_time, svc_time);
@@ -1707,6 +1714,9 @@
 	mb = httpReplyPack(rep);
 	http->out.offset += rep->hdr_sz;
 	check_size += rep->hdr_sz;
+#if HEADERS_LOG
+	headersLog(0, 0, http->request->method, rep);
+#endif
 	httpReplyDestroy(rep);
 	rep = NULL;
     } else {
@@ -1748,7 +1758,7 @@
 	/*
 	 * Set the timeout BEFORE calling clientReadRequest().
 	 */
-	commSetTimeout(conn->fd, 15, requestTimeout, conn);
+	commSetTimeout(conn->fd, Config.Timeout.pconn, requestTimeout, conn);
 	clientReadRequest(conn->fd, conn);	/* Read next request */
 	/*
 	 * Note, the FD may be closed at this point.
@@ -1988,7 +1998,7 @@
 	    clientCacheHit,
 	    http);
     } else {
-	/* MISS CASE */
+	/* MISS CASE, http->log_type is already set! */
 	clientProcessMiss(http);
     }
 }
@@ -2035,6 +2045,9 @@
     http->entry = clientCreateStoreEntry(http, r->method, r->flags);
     if (http->redirect.status) {
 	HttpReply *rep = httpReplyCreate();
+#if LOG_TCP_REDIRECTS
+	http->log_type = LOG_TCP_REDIRECT;
+#endif
 	storeReleaseRequest(http->entry);
 	httpRedirectReply(rep, http->redirect.status, http->redirect.location);
 	httpReplySwapOut(rep, http->entry);
@@ -2748,7 +2761,7 @@
 	    break;
 	}
 	debug(33, 4) ("httpAccept: FD %d: accepted\n", fd);
-	connState = xcalloc(1, sizeof(ConnStateData));
+	connState = memAllocate(MEM_CONNSTATEDATA);
 	connState->peer = peer;
 	connState->log_addr = peer.sin_addr;
 	connState->log_addr.s_addr &= Config.Addrs.client_netmask.s_addr;
@@ -2756,7 +2769,7 @@
 	connState->fd = fd;
 	connState->in.size = REQUEST_BUF_SIZE;
 	connState->in.buf = xcalloc(connState->in.size, 1);
-	cbdataAdd(connState, cbdataXfree, 0);
+	cbdataAdd(connState, memFree, MEM_CONNSTATEDATA);
 	/* XXX account connState->in.buf */
 	comm_add_close_handler(fd, connStateFree, connState);
 	if (Config.onoff.log_fqdn)
Index: squid/src/comm.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/comm.c,v
retrieving revision 1.1.1.3
retrieving revision 1.1.1.3.10.1
diff -u -r1.1.1.3 -r1.1.1.3.10.1
--- squid/src/comm.c	26 Jan 2000 03:25:01 -0000	1.1.1.3
+++ squid/src/comm.c	17 Apr 2000 00:13:09 -0000	1.1.1.3.10.1
@@ -1,6 +1,6 @@
 
 /*
- * $Id: comm.c,v 1.1.1.3 2000/01/26 03:25:01 hno Exp $
+ * $Id: comm.c,v 1.1.1.3.10.1 2000/04/17 00:13:09 hno Exp $
  *
  * DEBUG: section 5     Socket Functions
  * AUTHOR: Harvest Derived
@@ -12,10 +12,10 @@
  *  Internet community.  Development is led by Duane Wessels of the
  *  National Laboratory for Applied Network Research and funded by the
  *  National Science Foundation.  Squid is Copyrighted (C) 1998 by
- *  Duane Wessels and the University of California San Diego.  Please
- *  see the COPYRIGHT file for full details.  Squid incorporates
- *  software developed and/or copyrighted by other sources.  Please see
- *  the CREDITS file for full details.
+ *  the Regents of the University of California.  Please see the
+ *  COPYRIGHT file for full details.  Squid incorporates software
+ *  developed and/or copyrighted by other sources.  Please see the
+ *  CREDITS file for full details.
  *
  *  This program is free software; you can redistribute it and/or modify
  *  it under the terms of the GNU General Public License as published by
Index: squid/src/comm_select.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/comm_select.c,v
retrieving revision 1.1.1.3
retrieving revision 1.1.1.3.12.1
diff -u -r1.1.1.3 -r1.1.1.3.12.1
--- squid/src/comm_select.c	26 Jan 2000 03:25:01 -0000	1.1.1.3
+++ squid/src/comm_select.c	17 Apr 2000 00:13:09 -0000	1.1.1.3.12.1
@@ -1,6 +1,6 @@
 
 /*
- * $Id: comm_select.c,v 1.1.1.3 2000/01/26 03:25:01 hno Exp $
+ * $Id: comm_select.c,v 1.1.1.3.12.1 2000/04/17 00:13:09 hno Exp $
  *
  * DEBUG: section 5     Socket Functions
  *
@@ -11,10 +11,10 @@
  *  Internet community.  Development is led by Duane Wessels of the
  *  National Laboratory for Applied Network Research and funded by the
  *  National Science Foundation.  Squid is Copyrighted (C) 1998 by
- *  Duane Wessels and the University of California San Diego.  Please
- *  see the COPYRIGHT file for full details.  Squid incorporates
- *  software developed and/or copyrighted by other sources.  Please see
- *  the CREDITS file for full details.
+ *  the Regents of the University of California.  Please see the
+ *  COPYRIGHT file for full details.  Squid incorporates software
+ *  developed and/or copyrighted by other sources.  Please see the
+ *  CREDITS file for full details.
  *
  *  This program is free software; you can redistribute it and/or modify
  *  it under the terms of the GNU General Public License as published by
@@ -36,6 +36,8 @@
 
 #if USE_ASYNC_IO
 #define MAX_POLL_TIME 10
+#elif USE_DISKD
+#define MAX_POLL_TIME 10
 #else
 #define MAX_POLL_TIME 1000
 #endif
@@ -333,6 +335,9 @@
 #if USE_ASYNC_IO
 	aioCheckCallbacks();
 #endif
+#if USE_DISKD
+	storeDiskdReadQueue();
+#endif
 #if DELAY_POOLS
 	FD_ZERO(&slowfds);
 #endif
@@ -664,6 +669,9 @@
 #if USE_ASYNC_IO
 	aioCheckCallbacks();
 #endif
+#if USE_DISKD
+	storeDiskdReadQueue();
+#endif
 #if DELAY_POOLS
 	FD_ZERO(&slowfds);
 #endif
Index: squid/src/debug.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/debug.c,v
retrieving revision 1.1.1.3
retrieving revision 1.1.1.3.10.1
diff -u -r1.1.1.3 -r1.1.1.3.10.1
--- squid/src/debug.c	26 Jan 2000 03:25:01 -0000	1.1.1.3
+++ squid/src/debug.c	17 Apr 2000 00:13:09 -0000	1.1.1.3.10.1
@@ -1,6 +1,6 @@
 
 /*
- * $Id: debug.c,v 1.1.1.3 2000/01/26 03:25:01 hno Exp $
+ * $Id: debug.c,v 1.1.1.3.10.1 2000/04/17 00:13:09 hno Exp $
  *
  * DEBUG: section 0     Debug Routines
  * AUTHOR: Harvest Derived
@@ -12,10 +12,10 @@
  *  Internet community.  Development is led by Duane Wessels of the
  *  National Laboratory for Applied Network Research and funded by the
  *  National Science Foundation.  Squid is Copyrighted (C) 1998 by
- *  Duane Wessels and the University of California San Diego.  Please
- *  see the COPYRIGHT file for full details.  Squid incorporates
- *  software developed and/or copyrighted by other sources.  Please see
- *  the CREDITS file for full details.
+ *  the Regents of the University of California.  Please see the
+ *  COPYRIGHT file for full details.  Squid incorporates software
+ *  developed and/or copyrighted by other sources.  Please see the
+ *  CREDITS file for full details.
  *
  *  This program is free software; you can redistribute it and/or modify
  *  it under the terms of the GNU General Public License as published by
Index: squid/src/defines.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/defines.h,v
retrieving revision 1.1.1.3
retrieving revision 1.1.1.3.12.1
diff -u -r1.1.1.3 -r1.1.1.3.12.1
--- squid/src/defines.h	26 Jan 2000 03:25:01 -0000	1.1.1.3
+++ squid/src/defines.h	17 Apr 2000 00:13:09 -0000	1.1.1.3.12.1
@@ -1,6 +1,6 @@
 
 /*
- * $Id: defines.h,v 1.1.1.3 2000/01/26 03:25:01 hno Exp $
+ * $Id: defines.h,v 1.1.1.3.12.1 2000/04/17 00:13:09 hno Exp $
  *
  *
  * SQUID Internet Object Cache  http://squid.nlanr.net/Squid/
@@ -10,10 +10,10 @@
  *  Internet community.  Development is led by Duane Wessels of the
  *  National Laboratory for Applied Network Research and funded by the
  *  National Science Foundation.  Squid is Copyrighted (C) 1998 by
- *  Duane Wessels and the University of California San Diego.  Please
- *  see the COPYRIGHT file for full details.  Squid incorporates
- *  software developed and/or copyrighted by other sources.  Please see
- *  the CREDITS file for full details.
+ *  the Regents of the University of California.  Please see the
+ *  COPYRIGHT file for full details.  Squid incorporates software
+ *  developed and/or copyrighted by other sources.  Please see the
+ *  CREDITS file for full details.
  *
  *  This program is free software; you can redistribute it and/or modify
  *  it under the terms of the GNU General Public License as published by
